/* KKeyAssignServer */

#import <Cocoa/Cocoa.h>

#define KESC_char @"\x1b"
#define KRETURN_char @"\r"

@interface KKeyAssignServer : NSObject
{
	NSString* mPrevCharacter;
	unsigned int mModifierFlags;
}
- (id)init;

// If done shortcut, returns YES, otherwise returns NO.
// 'sender' --- basically NSTextView or its subclasses.
- (BOOL)doneAssignedFunction:(NSEvent*)event sender:(id)sender;

// internal use
- (BOOL)doneKEditOriginalFunction:(NSString*)character modifiers:(unsigned int)mask sender:(id)sender;
- (BOOL)doneEmacsLikeFunction:(NSString*)character modifiers:(unsigned int)mask sender:(id)sender;
- (BOOL)doneViLikeFunction:(NSString*)character modifiers:(unsigned int)mask sender:(id)sender;

@end
